Bug 974298 - [abrt] midori-0.5.0-1.fc19: WebKit::InspectorClient::releaseFrontendPage: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.5.0-1.fc19: WebKit::InspectorClient::releaseFrontendPage: Pro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:6e4d151f8d2fa0e8207dd653851...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 18:03 EDT by Štefan Gurský
Modified: 2015-02-18 08:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.51 KB, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: core_backtrace (2.97 KB, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: dso_list (13.72 KB, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: environ (1.48 KB, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: maps (90.08 KB, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: open_fds (1.38 KB, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details
File: var_log_messages (519 bytes, text/plain)
2013-06-13 18:04 EDT, Štefan Gurský
no flags Details

  None (edit)
Description Štefan Gurský 2013-06-13 18:03:54 EDT
Description of problem:
On speed dial page I rightclicked one thumbnail (one that was inconsistent - that is there was wrong "pageshot" for url) and selected inspect element. Then I closed "inspect page" window.

Version-Release number of selected component:
midori-0.5.0-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/midori
crash_function: WebKit::InspectorClient::releaseFrontendPage
executable:     /usr/bin/midori
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 WebKit::InspectorClient::releaseFrontendPage at /lib64/libwebkitgtk-1.0.so.0
 #1 WebKit::InspectorFrontendClient::destroyInspectorWindow at /lib64/libwebkitgtk-1.0.so.0
 #6 gtk_object_dispose at gtkobject.c:421
 #8 gtk_container_destroy at gtkcontainer.c:1073
 #13 gtk_object_dispose at gtkobject.c:421
 #15 gtk_main_do_event at gtkmain.c:1601
 #21 gtk_main at gtkmain.c:1257
Comment 1 Štefan Gurský 2013-06-13 18:04:00 EDT
Created attachment 760990 [details]
File: backtrace
Comment 2 Štefan Gurský 2013-06-13 18:04:04 EDT
Created attachment 760991 [details]
File: cgroup
Comment 3 Štefan Gurský 2013-06-13 18:04:08 EDT
Created attachment 760992 [details]
File: core_backtrace
Comment 4 Štefan Gurský 2013-06-13 18:04:12 EDT
Created attachment 760993 [details]
File: dso_list
Comment 5 Štefan Gurský 2013-06-13 18:04:16 EDT
Created attachment 760994 [details]
File: environ
Comment 6 Štefan Gurský 2013-06-13 18:04:19 EDT
Created attachment 760995 [details]
File: limits
Comment 7 Štefan Gurský 2013-06-13 18:04:30 EDT
Created attachment 760996 [details]
File: maps
Comment 8 Štefan Gurský 2013-06-13 18:04:33 EDT
Created attachment 760997 [details]
File: open_fds
Comment 9 Štefan Gurský 2013-06-13 18:04:37 EDT
Created attachment 760998 [details]
File: proc_pid_status
Comment 10 Štefan Gurský 2013-06-13 18:04:40 EDT
Created attachment 760999 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-06-17 11:32:36 EDT
Can you get it to crash this way everytime with those steps?
Comment 12 Štefan Gurský 2013-06-17 13:24:01 EDT
Yes, every time. Even if I create new user and run midori for the first time (it does not display speed dial on first run, so I had to open new tab to get empty speed dial and used those steps on add button). I tried with "my" locale (sk_SK.utf8 and with C locale - to see what are default labels for menu items)

1. open speed dial
2. right click on any thumbnail
3. choose Inspect element
4. close newly opened (inspect page) window
5. crash
Comment 13 Cristian Ciupitu 2013-09-25 10:27:27 EDT
I opened the midori website, I opened the Inspect Element window then I closed the Inspector and midori crashed.

reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        midori
crash_function: WebKit::InspectorClient::releaseFrontendPage
executable:     /usr/bin/midori
kernel:         3.11.1-200.fc19.x86_64
package:        midori-0.5.5-1.fc19
reason:         Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Cristian Ciupitu 2013-09-25 10:28:49 EDT
Same here. It happens every time.
Comment 15 Fedora End Of Life 2015-01-09 17:09:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 08:56:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.